<template>
  <div class="header-content">
    <v-layout style="padding: 50px 160px">
      <v-row class="d-flex justify-center">
        <v-col cols="4">
          <v-card class="mx-auto" width="300" max-width="400">
            <v-img
              class="align-end text-white"
              height="200"
              src="https://www.moveforwardparty.org/wp-content/uploads/2021/09/fmp_101_2020.07.05______________________________________________________________.__________________________________img_3389_720-1.jpg"
              cover
            >
              <v-card-title>Top 10 Australian beaches</v-card-title>
            </v-img>

            <v-card-subtitle class="pt-4"> Number 10 </v-card-subtitle>

            <v-card-text>
              <div>Whitehaven Beach</div>

              <div>Whitsunday Island, Whitsunday Islands</div>
            </v-card-text>

            <v-card-actions>
              <v-btn color="orange"> Share </v-btn>
              <v-spacer></v-spacer>
              <v-btn color="orange"> Explore </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
        <v-col cols="4">
          <v-card class="mx-auto" width="300" max-width="400">
            <v-img
              class="align-end text-white"
              height="200"
              src="https://pailin.voicetv.co.th/assets/aW1hZ2UvMjAyMS0wOS82ZTkzZjZlNGEwNjgyOGY4YWUyZWYyM2E1OTg3ZDk1ZC5qcGc="
              cover
            >
              <v-card-title>Top 10 Australian beaches</v-card-title>
            </v-img>

            <v-card-subtitle class="pt-4"> Number 10 </v-card-subtitle>

            <v-card-text>
              <div>Whitehaven Beach</div>

              <div>Whitsunday Island, Whitsunday Islands</div>
            </v-card-text>

            <v-card-actions>
              <v-btn color="orange"> Share </v-btn>
              <v-spacer></v-spacer>
              <v-btn color="orange"> Explore </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
        <v-col cols="4">
          <v-card class="mx-auto" width="300" max-width="400">
            <v-img
              class="align-end text-white"
              height="200"
              src="https://www.dailynews.co.th/wp-content/uploads/2023/03/temp_ce0035b6c879a30e0ff8e76bcbe926adf_4857327413671182966_4827390801287.jpg"
              cover
            >
              <v-card-title>Top 10 Australian beaches</v-card-title>
            </v-img>

            <v-card-subtitle class="pt-4"> Number 10 </v-card-subtitle>

            <v-card-text>
              <div>Whitehaven Beach</div>

              <div>Whitsunday Island, Whitsunday Islands</div>
            </v-card-text>

            <v-card-actions>
              <v-btn color="orange"> Share </v-btn>
              <v-spacer></v-spacer>
              <v-btn color="orange"> Explore </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
      </v-row>
    </v-layout>
  </div>

  <!-- header -->
  <div class="header-content" style="padding: 50px 200px">
    <v-row class="d-flex justify-center">
      <v-col cols="6">
        <v-layout>
          <iframe
            width="560"
            height="315"
            src="https://www.youtube.com/embed/OVRC7eV8ZY4"
            title="YouTube video player"
            frameborder="0"
            allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
            allowfullscreen
          ></iframe>
        </v-layout>
      </v-col>
      <v-col cols="6">
        <v-layout>
          <div>
            <h2>I'm Expert On</h2>
            <h1>Let's Work Together</h1>
            <p>
              Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolor
              obcaecati corrupti fugit ipsum eligendi laboriosam maxime,
              quisquam nulla sint cumque? Iure eos, a consequuntur accusamus
              officia quis iusto nam ullam?
            </p>

            <v-row style="margin-top: 5px">
              <v-col cols="4">
                <h4>Need Help?</h4>
                <p>Gmail@gmail.com</p>
              </v-col>
              <v-col cols="4">
                <h4>Contect Now</h4>
                <p>+770 123 456 789</p>
              </v-col>
              <v-col cols="4">
                <h4>Web URL</h4>
                <p>WWW.weburl.com</p>
              </v-col>
            </v-row>
            <v-row class="linear">
              <v-col cols="6">
                <p>Html</p>
                <v-progress-linear v-model="vip" height="12" color="green">
                  <p>
                    <b>{{ Math.ceil(vip) }}%</b>
                  </p>
                </v-progress-linear>
              </v-col>
              <v-col cols="6">
                <p>Vip</p>
                <v-progress-linear v-model="skill" height="12" color="green">
                  <p>
                    <b>{{ Math.ceil(skill) }}%</b>
                  </p>
                </v-progress-linear>
              </v-col>
              <v-col cols="6">
                <p>Skill</p>
                <v-progress-linear
                  v-model="knowledge"
                  height="12"
                  color="green"
                >
                  <p>
                    <b>{{ Math.ceil(knowledge) }}%</b>
                  </p>
                </v-progress-linear>
              </v-col>
              <v-col cols="6">
                <p>Power</p>
                <v-progress-linear v-model="power" height="12" color="green">
                  <p>
                    <b>{{ Math.ceil(power) }}%</b>
                  </p>
                </v-progress-linear>
              </v-col>
            </v-row>
          </div>
        </v-layout>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  data: () => ({
    skill: 20,
    knowledge: 33,
    power: 78,
    vip: 50,
  }),
};
</script>

<style scoped>
.linear p {
  font-weight: 800;
  font-size: 11px;
  margin: 0;
}
.v-row + .v-row {
  margin-top: 0px;
}
.v-progress-linear {
  border-radius: 50px;
}
.linear p[data-v-44b2785a] {
  font-size: 10px;
}
</style>